Loading...
Searching...
No Matches
Component.hpp File Reference

Abstract base class of a pure chemical species. More...

`#include <stdexcept>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::Component< ScalarT, Implementation >
| Abstract base class of a pure chemical species. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Abstract base class of a pure chemical species.

Template Parameters

  ScalarT | The type used for scalar values
  Implementation | Necessary for static polymorphism